<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>jetset.jet_model Module &#8212; jetset 1.0.a documentation</title>
    <link rel="stylesheet" href="../_static/bootstrap-sphinx.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0.a',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true,
        SOURCELINK_SUFFIX: '.txt'
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <script type="text/javascript" src="../_static/js/jquery-1.11.0.min.js"></script>
    <script type="text/javascript" src="../_static/js/jquery-fix.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-3.3.7/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-sphinx.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
<meta charset='utf-8'>
<meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'>
<meta name='viewport' content='width=device-width, initial-scale=1.0, maximum-scale=1'>
<meta name="apple-mobile-web-app-capable" content="yes">

  </head>
  <body>

  <div id="navbar" class="navbar navbar-inverse navbar-default navbar-fixed-top">
    <div class="container">
      <div class="navbar-header">
        <!-- .btn-navbar is used as the toggle for collapsed navbar content -->
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".nav-collapse">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="../index.html"><span><img src="../_static/logo_small_transp.png"></span>
          JetSeT</a>
        <span class="navbar-text navbar-version pull-left"><b>1.0</b></span>
      </div>

        <div class="collapse navbar-collapse nav-collapse">
          <ul class="nav navbar-nav">
            
            
              <li class="dropdown globaltoc-container">
  <a role="button"
     id="dLabelGlobalToc"
     data-toggle="dropdown"
     data-target="#"
     href="../index.html">JetSeT <b class="caret"></b></a>
  <ul class="dropdown-menu globaltoc"
      role="menu"
      aria-labelledby="dLabelGlobalToc"><ul>
<li class="toctree-l1"><a class="reference internal" href="../user_guide/user_guide.html">user guide</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../user_guide/user_guide.html#content">Content</a></li>
</ul>
</li>
</ul>
</ul>
</li>
              
                <li class="dropdown">
  <a role="button"
     id="dLabelLocalToc"
     data-toggle="dropdown"
     data-target="#"
     href="#">Page <b class="caret"></b></a>
  <ul class="dropdown-menu localtoc"
      role="menu"
      aria-labelledby="dLabelLocalToc"><ul>
<li><a class="reference internal" href="#">jetset.jet_model Module</a><ul>
<li><a class="reference internal" href="#functions">Functions</a></li>
<li><a class="reference internal" href="#classes">Classes</a></li>
<li><a class="reference internal" href="#class-inheritance-diagram">Class Inheritance Diagram</a></li>
</ul>
</li>
</ul>
</ul>
</li>
              
            
            
              
                
              
            
            
            
            
              <li class="hidden-sm">
<div id="sourcelink">
  <a href="../_sources/api/jet_model.rst.txt"
     rel="nofollow">Source</a>
</div></li>
            
          </ul>

          
            
<form class="navbar-form navbar-right" action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
          
        </div>
    </div>
  </div>

<div class="container">
  <div class="row">
      <div class="col-md-3">
        <div id="sidebar" class="bs-sidenav" role="complementary"><ul>
<li><a class="reference internal" href="#">jetset.jet_model Module</a><ul>
<li><a class="reference internal" href="#functions">Functions</a></li>
<li><a class="reference internal" href="#classes">Classes</a></li>
<li><a class="reference internal" href="#class-inheritance-diagram">Class Inheritance Diagram</a></li>
</ul>
</li>
</ul>

<form action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
        </div>
      </div>
    <div class="col-md-9 content">
      
  <div class="section" id="module-jetset.jet_model">
<span id="jetset-jet-model-module"></span><h1>jetset.jet_model Module<a class="headerlink" href="#module-jetset.jet_model" title="Permalink to this headline">¶</a></h1>
<div class="section" id="functions">
<h2>Functions<a class="headerlink" href="#functions" title="Permalink to this headline">¶</a></h2>
<table border="1" class="longtable docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="jetset.jet_model.build_emitting_region_dic.html#jetset.jet_model.build_emitting_region_dic" title="jetset.jet_model.build_emitting_region_dic"><code class="xref py py-obj docutils literal"><span class="pre">build_emitting_region_dic</span></code></a>([beaming_expr])</td>
<td>Builds a dictionary to init the <a class="reference internal" href="jetset.jet_model.JetParameter.html#jetset.jet_model.JetParameter" title="jetset.jet_model.JetParameter"><code class="xref py py-class docutils literal"><span class="pre">JetParameter</span></code></a></td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="jetset.jet_model.build_ExtFields_dic.html#jetset.jet_model.build_ExtFields_dic" title="jetset.jet_model.build_ExtFields_dic"><code class="xref py py-obj docutils literal"><span class="pre">build_ExtFields_dic</span></code></a>(EC_model_list,&nbsp;…)</td>
<td></td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="classes">
<h2>Classes<a class="headerlink" href="#classes" title="Permalink to this headline">¶</a></h2>
<table border="1" class="longtable docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="jetset.jet_model.Jet.html#jetset.jet_model.Jet" title="jetset.jet_model.Jet"><code class="xref py py-obj docutils literal"><span class="pre">Jet</span></code></a>([name,&nbsp;electron_distribution,&nbsp;…])</td>
<td>This class allows to build a <code class="docutils literal"><span class="pre">jet</span></code> model providing the interface to the BlazarSED code, giving  full access to the physical parameters and providing the methods to run the code.</td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="jetset.jet_model.JetParameter.html#jetset.jet_model.JetParameter" title="jetset.jet_model.JetParameter"><code class="xref py py-obj docutils literal"><span class="pre">JetParameter</span></code></a>(blob,&nbsp;**keywords)</td>
<td>This class is a subclass of the <a class="reference internal" href="jetset.model_parameters.ModelParameter.html#jetset.model_parameters.ModelParameter" title="jetset.model_parameters.ModelParameter"><code class="xref py py-class docutils literal"><span class="pre">ModelParameter</span></code></a> class,</td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="jetset.jet_model.JetSpecComponent.html#jetset.jet_model.JetSpecComponent" title="jetset.jet_model.JetSpecComponent"><code class="xref py py-obj docutils literal"><span class="pre">JetSpecComponent</span></code></a>(name,&nbsp;blob_object)</td>
<td></td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="jetset.jet_model.ElectronDistribution.html#jetset.jet_model.ElectronDistribution" title="jetset.jet_model.ElectronDistribution"><code class="xref py py-obj docutils literal"><span class="pre">ElectronDistribution</span></code></a>(name,&nbsp;jet[,&nbsp;…])</td>
<td></td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="class-inheritance-diagram">
<h2>Class Inheritance Diagram<a class="headerlink" href="#class-inheritance-diagram" title="Permalink to this headline">¶</a></h2>
<img src="../_images/inheritance-6a0f91d634fb82bce99b3c62a87c4282e343e231.png" alt="Inheritance diagram of jetset.jet_model.Jet, jetset.jet_model.JetParameter, jetset.jet_model.JetSpecComponent, jetset.jet_model.ElectronDistribution" usemap="#inheritance290781dd19" class="inheritance"/>
<map id="inheritance290781dd19" name="inheritance290781dd19">
<area shape="rect" id="node1" href="jetset.jet_model.ElectronDistribution.html#jetset.jet_model.ElectronDistribution" target="_top" title="ElectronDistribution" alt="" coords="6,153,143,178"/>
<area shape="rect" id="node2" href="jetset.jet_model.Jet.html#jetset.jet_model.Jet" target="_top" title="This class allows to build a ``jet`` model providing the interface to the" alt="" coords="208,103,280,129"/>
<area shape="rect" id="node3" href="jetset.base_model.Model.html#jetset.base_model.Model" target="_top" title="Model" alt="" coords="39,103,111,129"/>
<area shape="rect" id="node4" href="jetset.jet_model.JetParameter.html#jetset.jet_model.JetParameter" target="_top" title="This class is a subclass of the :class:`.ModelParameter` class," alt="" coords="193,54,295,79"/>
<area shape="rect" id="node5" href="jetset.model_parameters.ModelParameter.html#jetset.model_parameters.ModelParameter" target="_top" title="This class is the base class for models parameters. The following keywords " alt="" coords="15,54,135,79"/>
<area shape="rect" id="node6" href="jetset.jet_model.JetSpecComponent.html#jetset.jet_model.JetSpecComponent" target="_top" title="JetSpecComponent" alt="" coords="5,5,144,30"/>
</map>
</div>
</div>


    </div>
      
  </div>
</div>
<footer class="footer">
  <div class="container">
    <p class="pull-right">
      <a href="#">Back to top</a>
      
    </p>
    <p>
        &copy; Copyright 2018, andrea tramacere.<br/>
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.6.6.<br/>
    </p>
  </div>
</footer>
  </body>
</html>